gmp_fact
gmp_gcdext
GMP Functions
PHP Manual

# gmp_gcd

Calculate GCD

### Description

resource gmp_gcd ( resource `$a` , resource `$b` )

Calculate greatest common divisor of `a` and `b`. The result is always positive even if either of, or both, input operands are negative.

### Parameters

`a`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`b`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A positive GMP number that divides into both `a` and `b`.

### Examples

Example #1 gmp_gcd example

`<?php
$gcd = gmp_gcd("12", "21");
echo gmp_strval($gcd) . "\n";
?>`

The above example will output:

    3